import re

youtube_regex = re.compile(r"<iframe.*https?://(?:www\.)?youtube\.com/embed/(\w+).*</iframe>")


def main():
    print(parse(input("HTML: ")))


def parse(s):
    video_id = youtube_regex.search(s)
    if video_id:
        video_id = video_id.groups()[0]
    else:
        return None
    return f"https://youtu.be/{video_id}"


if __name__ == "__main__":
    main()
